Bug 226213 - dark theme colors issues
dark theme colors issues
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
7.4
All All
: P3 (vote)
: 7.4
Assigned To: Stanislav Aubrecht
issues@platform
:
Depends on:
Blocks: 225542
  Show dependency treegraph
 
Reported: 2013-02-16 18:03 UTC by fredgarlov00
Modified: 2013-10-25 06:18 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
issue 1 (30.11 KB, image/png)
2013-02-16 18:17 UTC, fredgarlov00
Details
issue 3 (36.76 KB, image/png)
2013-02-16 18:17 UTC, fredgarlov00
Details
issue 3 (82.59 KB, image/png)
2013-02-16 18:18 UTC, fredgarlov00
Details
issue 5 (90.30 KB, image/png)
2013-02-16 18:18 UTC, fredgarlov00
Details
issue 6 (16.12 KB, image/png)
2013-02-16 18:18 UTC, fredgarlov00
Details
issue 7 (39.61 KB, image/png)
2013-02-16 18:19 UTC, fredgarlov00
Details
issue 8 (51.71 KB, image/png)
2013-02-16 18:19 UTC, fredgarlov00
Details
issue 9 (58.46 KB, image/png)
2013-02-16 18:20 UTC, fredgarlov00
Details
issue 10 (63.47 KB, image/png)
2013-02-16 18:20 UTC, fredgarlov00
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fredgarlov00 2013-02-16 18:03:59 UTC
Related to http://netbeans.org/bugzilla/show_bug.cgi?id=225542


I'm very glad to see Netbeans gets suport for dark colors. As requested in blog post: http://netbeans.dzone.com/articles/new-netbeans-dark-laf I'm reporting here some issues with colors in PHP Development build. Command line switch --laf Nimbus -J-Dnetbeans.plaf.dark.theme=true + Norway today color scheme.

1. Method names shouldn't be black - unreadable
2. $this, $var to dark
3. Diff in sidebar (deleted lines are not readable, only the under cursor), same in diff window of locale history
4. text in notification windows in right bottom corner are not readeble because of white background and white font
5. autocomplete suggestions window: method lists is not readable, because of black font

6. Text in output window not readable because of black / dark blue font colors (results of phpunit tests + trace if error ocurred)
7. Go-To file, go to symbol file list to bright alternate colors.
8. File names in tabs not readable if they marked as modified or new (GIT)
9. new project/file dialog left column white, nor readable
10. code coverage colors are to light
Comment 1 fredgarlov00 2013-02-16 18:17:15 UTC
Created attachment 131460 [details]
issue 1
Comment 2 fredgarlov00 2013-02-16 18:17:38 UTC
Created attachment 131461 [details]
issue 3
Comment 3 fredgarlov00 2013-02-16 18:18:01 UTC
Created attachment 131462 [details]
issue 3
Comment 4 fredgarlov00 2013-02-16 18:18:35 UTC
Created attachment 131463 [details]
issue 5
Comment 5 fredgarlov00 2013-02-16 18:18:59 UTC
Created attachment 131464 [details]
issue 6
Comment 6 fredgarlov00 2013-02-16 18:19:19 UTC
Created attachment 131465 [details]
issue 7
Comment 7 fredgarlov00 2013-02-16 18:19:41 UTC
Created attachment 131466 [details]
issue 8
Comment 8 fredgarlov00 2013-02-16 18:20:06 UTC
Created attachment 131467 [details]
issue 9
Comment 9 fredgarlov00 2013-02-16 18:20:28 UTC
Created attachment 131468 [details]
issue 10
Comment 10 Stanislav Aubrecht 2013-02-20 10:39:02 UTC
(In reply to comment #0)
> 1. Method names shouldn't be black - unreadable
That's adjustable in Tools - Options - Fonts & Colors
See also https://netbeans.org/bugzilla/show_bug.cgi?id=226273

> 2. $this, $var to dark
Same as above.

> 3. Diff in sidebar (deleted lines are not readable, only the under cursor),
> same in diff window of locale history
Same as above

> 4. text in notification windows in right bottom corner are not readeble because
> of white background and white font
Already fixed, see the umbrella issue #225542 for more details.

> 5. autocomplete suggestions window: method lists is not readable, because of
> black font
I filed http://netbeans.org/bugzilla/show_bug.cgi?id=226385

> 
> 6. Text in output window not readable because of black / dark blue font colors
> (results of phpunit tests + trace if error ocurred)
Adjustable in Tools - Options - Miscellaneous - Output

> 7. Go-To file, go to symbol file list to bright alternate colors.
Fixed in core-main 23d80f8322ca

> 8. File names in tabs not readable if they marked as modified or new (GIT)
Adjustable in Tools - Options - Fonts & Colors - Versioning

> 9. new project/file dialog left column white, nor readable
Already fixed,  see the umbrella issue #225542 for more details.

> 10. code coverage colors are to light
Adjustable in Tools - Options - Fonts & Colors
Comment 11 fredgarlov00 2013-02-20 14:47:29 UTC
I'd expect provided dark theme to work without adjustments. So if method names are not readable out of the box for --laf Nimbus J-Dnetbeans.plaf.dark.theme=true + Norway today
I consider it's a defect.
Comment 12 Stanislav Aubrecht 2013-02-20 14:52:59 UTC
(In reply to comment #11)
> I'd expect provided dark theme to work without adjustments. So if method names
> are not readable out of the box for --laf Nimbus
> J-Dnetbeans.plaf.dark.theme=true + Norway today
> I consider it's a defect.

Versioning, diff and output color settings are shared across all editor color profiles. Feel free to file new bug(s).
Comment 13 Quality Engineering 2013-02-23 04:08:38 UTC
Integrated into 'main-golden', will be available in build *201302222300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/23d80f8322ca
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #226213 - invalid background in Dark Nimbus color theme
Comment 14 jslaroch 2013-10-24 19:37:49 UTC
Similar issues when selecting the Dark Nimbus look and feel
Comment 15 Stanislav Aubrecht 2013-10-25 06:18:11 UTC
(In reply to jslaroch from comment #14)
> Similar issues when selecting the Dark Nimbus look and feel

Please file a new issue with screen shots, thanks.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo